﻿; (function (window, undefined) {

    if (window.App === void 0) {
        throw new Error('/bridge/core.js must be included before you can use webServices.js');
    }

    var App = window.App || {};

    function _executeWebService(webService, callback) {

        if (typeof webService !== 'object') {
            throw new Error('You should pass a valid web service instance.');
        }

        if (typeof callback !== 'function') {
            throw new Error('You should provide a valid callback.');
        }

        try {
            App.execute('app/webservice/execute/' + webService.__id, { 'webserviceId': webService.__id }, callback);
        }
        catch (ex) {
            /* ignore */
        }

    }

    var WebServices = App.WebServices = {

        VERSION: '2.0',

        execute: function (webService, callback) {
            _executeWebService(webService, callback);
        }
    };

    //<!-- inject[WebServices] -->

    App.Extend(WebServices, App.Events);

})(window);